.block-content-grid {
    text-align: center;
    padding-block: clamp(3.25rem, 2.8209rem + 1.8657vw, 4.5rem) clamp(3.75rem, 3.4925rem + 1.1194vw, 4.5rem);
}

.block-content-grid h2,
.block-content-grid h3 {
    margin: 0;
} 

.block-content-grid h3 {
    font-size: clamp(1.5rem, 1.6287rem + -0.5597vw, 1.125rem);
}

.content-grid ol {
    list-style: none;
    padding: 0;
    margin: 0;
    counter-reset: step;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: clamp(1.25rem, 1.0354rem + 0.9328vw, 1.875rem);
    margin-top: clamp(2.75rem, 2.5354rem + 0.9328vw, 3.375rem);
}

.content-grid ol li {
    counter-increment: step;
    display: flex;
    flex-direction: column;
    align-items: center;
    position: relative;
    background-color: var(--colour-blue-500);
    color: var(--colour-white);
    padding: clamp(1.625rem, 1.4963rem + 0.5597vw, 2rem) clamp(1.25rem, 1.1427rem + 0.4664vw, 1.5625rem);
    box-shadow: 0 2px 12px 0 rgba(0, 0, 0, 0.25);
    border-radius: 1rem;

}

.content-grid ol li::before {
    content: counter(step);
    flex-shrink: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    width: clamp(4rem, 3.6567rem + 1.4925vw, 5rem);
    height: clamp(4rem, 3.6567rem + 1.4925vw, 5rem);
    font-weight: 700;
    font-size: clamp(2.625rem, 2.389rem + 1.0261vw, 3.3125rem);
    color: var(--colour-blue-500);
    background: var(--colour-white);
    border-radius: 50%;
    margin-bottom: 1.25rem;
    box-shadow: 0 2px 14px 0 rgba(0, 0, 0, 0.3);
}

.block-content-grid .btn--line {
    margin: clamp(1.75rem, 1.4925rem + 1.1194vw, 2.5rem) auto 0;
}


@media screen and (max-width: 1024px) {
    .content-grid ol {
        grid-template-columns: 1fr 1fr;
    }
}

@media screen and (max-width: 600px) {
    .content-grid ol {
        grid-template-columns: 1fr;
    }
}